Bug 1467946 - rhvm-appliance only partitions 6gb for root partition
Summary: rhvm-appliance only partitions 6gb for root partition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-appliance
Version: 4.1.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ovirt-4.2.0
: ---
Assignee: Ryan Barry
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks: 1469606 1469607
TreeView+ depends on / blocked
 
Reported: 2017-07-05 15:04 UTC by Chris Reynolds
Modified: 2019-08-28 13:17 UTC (History)
12 users (show)

Fixed In Version: rhvm-appliance-20170710.3-1
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1469606 1469607 (view as bug list)
Environment:
Last Closed: 2018-05-15 19:00:03 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1525 None None None 2018-05-15 19:02:30 UTC
oVirt gerrit 79055 master MERGED engine-appliance: make swap partition first 2017-07-05 18:28:24 UTC
oVirt gerrit 79067 ovirt-4.1 MERGED engine-appliance: make swap partition first 2017-07-05 18:31:47 UTC
oVirt gerrit 79069 ovirt-4.1-pre MERGED engine-appliance: make swap partition first 2017-07-05 18:31:36 UTC
oVirt gerrit 79070 ovirt-4.1-snapshot MERGED engine-appliance: make swap partition first 2017-07-05 18:31:51 UTC

Description Chris Reynolds 2017-07-05 15:04:04 UTC
Description of problem:


Version-Release number of selected component (if applicable):
rhvm-appliance-20170619.0-1.x86_64.rhevm.ova

How reproducible:
Every time.


Steps to Reproduce:
1. use `hosted-engine --deploy` on rhel host
2. use rhvm-appliance-4.1.20170619.0-1.el7.noarch.rpm to deploy manager VM
3. run out of disk space after about a week of logs and postgres data accumulation

Actual results:
anaconda.ks file has following entries for partitioning

[root@cloud ~]# cat anaconda-ks.cfg
...
bootloader --append="console=tty0" --location=mbr --timeout=1
# Clear the Master Boot Record
zerombr
# Partition clearing information
clearpart --all --initlabel 
# Disk partitioning information
part / --fstype="xfs" --ondisk=vda --size=6144
part swap --size=8192
...

[root@cloud ~]# lsblk 
NAME   MAJ:MIN RM  SIZE RO TYPE MOUNTPOINT
sr0     11:0    1 1024M  0 rom  
vda    253:0    0   75G  0 disk 
├─vda1 253:1    0    6G  0 part /
└─vda2 253:2    0    8G  0 part [SWAP]


Expected results:
'part /' line should include --grow by default, root partition should use full amount of available space.

Additional info:

Comment 1 Ryan Barry 2017-07-05 15:47:30 UTC
growth is handled by cloud-utils-growpart

Since swap was added, cloud-utils-growpart will not grow the first partition, since swap abuts it.

These partitions are being reversed, so swap is first.

Comment 2 Red Hat Bugzilla Rules Engine 2017-07-05 15:47:35 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 4 Red Hat Bugzilla Rules Engine 2017-07-05 18:49:04 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 6 Yaniv Lavi 2017-07-10 08:24:36 UTC
Should this be ON_QA? Can you add it to the errata?

Comment 7 Ryan Barry 2017-07-10 10:32:02 UTC
No -- it doesn't have 4.1.z+ yet, which is necessary to add it to the errata.

I also can't set the target version for appliance. I'll find someone who can.

Comment 11 Gonza 2017-09-04 07:43:34 UTC
Verified with:
rhvm-appliance-20170709.3-1.x86_64.rhevm.ova

# lsblk
NAME   MAJ:MIN RM  SIZE RO TYPE MOUNTPOINT
sr0     11:0    1 1024M  0 rom  
sr1     11:1    1  374K  0 rom  
vda    253:0    0   58G  0 disk 
├─vda1 253:1    0    8G  0 part [SWAP]
└─vda2 253:2    0   50G  0 part /

Comment 16 errata-xmlrpc 2018-05-15 19:00:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1525

Comment 17 Franta Kust 2019-05-16 13:05:45 UTC
BZ<2>Jira Resync

Comment 18 Daniel Gur 2019-08-28 12:57:50 UTC
sync2jira

Comment 19 Daniel Gur 2019-08-28 13:03:00 UTC
sync2jira

Comment 20 Daniel Gur 2019-08-28 13:13:05 UTC
sync2jira

Comment 21 Daniel Gur 2019-08-28 13:17:17 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.